Install our software on a Mac

The minimum requirements to run our software on a Mac is an Intel-based machine running OS X 10.10 or later.

Install it by double-clicking the downloaded file (the file ending in app.zip). Then, drag the application file to your applications folder.

Feedback

Was this article helpful?

Related Help Articles